@import "../../colors.scss";

.listWrapper {
  position: relative;
  overflow: hidden;

  .mask {
    box-sizing: border-box;
    width: 100%;
    height: 100px;
    position: absolute;
    pointer-events: none;
    bottom: 0;
    padding: 0 20px;

    div {
      width: 100%;
      height: 100px;
      background: linear-gradient(
        0deg,
        rgba(40, 40, 40, 1) 10%,
        rgba(0, 0, 0, 0) 100%
      );
    }
  }
}

.list {
  height: 100%;
  width: 100%;
  box-sizing: border-box;
  overflow-y: auto;
  overflow-x: hidden;
  padding-bottom: 100px;

  li {
    &.selected {
      & + * > div {
        border-top: 0;
      }
    }
  }

  & > *:first-child > div {
    border-top: none;
  }
}
